<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/choixEleves.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('choixEleves_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">choixEleves.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="choixEleves_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1choixEleves.html">    1</a></span>&#160;<span class="comment">#!/usr/bin/python</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno"><a class="line" href="namespacesrc_1_1choixEleves.html#a831c9c341f583d84d662b9ebc7384f00">    3</a></span>&#160;licence={}</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;licence[<span class="stringliteral">&#39;en&#39;</span>]=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral">    file choixEleves.py</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral">    Copyright (C) 2012 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">import</span> gestClasse</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtWidgets.html">PyQt5.QtWidgets</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtCore.html">PyQt5.QtCore</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">from</span> Ui_choixEleves <span class="keyword">import</span> Ui_Dialog</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">import</span> db</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">import</span> sys, os.path</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">#    implémente un dialogue permettant de choisir des élèves</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">#    les propriétés importantes sont self.ok, vrai si on doit prendre en</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">#    compte la liste sélectionnée, et le contenu de la liste des sélectionnés,</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">#    dont on peut récupérer les élèves un par un à l&#39;aide de self.pop()</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">#</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html">choixElevesDialog</a>(<a class="code" href="classQDialog.html">QDialog</a>):</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="comment">#        le constructeur</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="comment">#        récupérer des données SCONET</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="comment">#        @param parent le widget parent</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="comment">#        @param gestionnaire le système censé gérer les données du fichier f</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7e69e147d396686ac6435a44e567168d">   46</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7e69e147d396686ac6435a44e567168d">__init__</a>(self, parent=None, gestionnaire=gestClasse.Sconet):</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        QDialog.__init__(self, parent=parent)</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ad8934f69b8e13b67e67d83cc2fae097f">   48</a></span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ad8934f69b8e13b67e67d83cc2fae097f">ok</a>=<span class="keywordtype">None</span></div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">   49</a></span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>=Ui_Dialog()</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.setupUi(self)</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">   51</a></span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>=db.readPrefs()</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae92358c69ab04edd55f00ad092d6cd58">   52</a></span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae92358c69ab04edd55f00ad092d6cd58">gestionnaire</a>=gestionnaire</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a327a434628cb87c4f6d6e75759972018">connecteGestionnaire</a>()</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.setSelectionMode(QAbstractItemView.ExtendedSelection)</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.setSortingEnabled(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.checkBoxNumero.setChecked(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.spinBoxNumero.setValue(1)</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.spinBoxNumero.setEnabled(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButtonFile.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a22bf6436ed0613d101e4be7cc4521d64">fichierEleves</a>)</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_replierArbre.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7323d8859b8ff8e9bb3dc1ff5f0445bf">replie</a>)</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_cocher.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a46651080fd437cc6268d03ab810d892d">coche</a>)</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_decocher.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a5d23e13198af052d67307e925060d678">decoche</a>)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_addToList.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#aa9cb426e7398dfd83687f5dd187401c1">addToList</a>)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_delInList.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a10a62d001217ff2e92422951c0c6e1be">delInList</a>)</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_OK.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac324440924f5bca476968946ad586fb0">valid</a>)</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.pushButton_Esc.clicked.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4d2095140e0c53ea6cecdfa8eb457422">escape</a>)</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.checkBoxNumero.stateChanged.connect(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a60aeafa97ef2ff421e282bcfc5b1f8ba">checkNum</a>)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a22bf6436ed0613d101e4be7cc4521d64">   72</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a22bf6436ed0613d101e4be7cc4521d64">fichierEleves</a>(self):</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        caption=<span class="stringliteral">&quot;Choisissez un nouveau fichier de gestion des élèves&quot;</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        dirname=os.path.dirname(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>[<span class="stringliteral">&quot;schoolFile&quot;</span>])</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        newFile=QFileDialog.getOpenFileName (self, caption, dirname)</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">if</span> os.path.exists(newFile):</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>[<span class="stringliteral">&quot;schoolFile&quot;</span>]=newFile</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            db.writePrefs(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>)</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a327a434628cb87c4f6d6e75759972018">connecteGestionnaire</a>(renew=<span class="keyword">True</span>)</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a327a434628cb87c4f6d6e75759972018">   86</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a327a434628cb87c4f6d6e75759972018">connecteGestionnaire</a>(self, renew=False):</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keywordflow">try</span>:</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.lineEditFile.setText(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>[<span class="stringliteral">&quot;schoolFile&quot;</span>])</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.treeView.connecteGestionnaire(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>[<span class="stringliteral">&quot;schoolFile&quot;</span>],</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                                                  self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae92358c69ab04edd55f00ad092d6cd58">gestionnaire</a>,</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                                                  renew=renew)</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keywordflow">except</span> Exception <span class="keyword">as</span> err:</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            QMessageBox.warning(<span class="keywordtype">None</span>,</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;                                QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,<span class="stringliteral">&quot;Échec à l&#39;ouverture du fichier élèves&quot;</span>,<span class="keywordtype">None</span>),</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;                                QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,<span class="stringliteral">&quot;Le fichier {schoolfile} n&#39;a pas pu être traité : {erreur}&quot;</span>,<span class="keywordtype">None</span>).format(schoolfile=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">prefs</a>[<span class="stringliteral">&quot;schoolFile&quot;</span>], erreur=err))</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="comment">#        fonction de rappel utilisée quand on coche/décoche la case pour</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="comment">#        prendre en compte le numéro</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="comment">#        @param state : l&#39;état coché ou décoché</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a60aeafa97ef2ff421e282bcfc5b1f8ba">  102</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a60aeafa97ef2ff421e282bcfc5b1f8ba">checkNum</a>(self, state):</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordflow">if</span> state==Qt.Checked:</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.spinBoxNumero.setEnabled(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.spinBoxNumero.setEnabled(<span class="keyword">False</span>)</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160; </div>
<div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7323d8859b8ff8e9bb3dc1ff5f0445bf">  112</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7323d8859b8ff8e9bb3dc1ff5f0445bf">replie</a>(self):</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.treeView.collapseAll()</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a46651080fd437cc6268d03ab810d892d">  119</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a46651080fd437cc6268d03ab810d892d">coche</a>(self):</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keywordflow">for</span> e <span class="keywordflow">in</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.treeView.expandedItems():</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;            e.setCheckState(Qt.Checked)</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160; </div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a5d23e13198af052d67307e925060d678">  127</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a5d23e13198af052d67307e925060d678">decoche</a>(self):</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordflow">for</span> e <span class="keywordflow">in</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.treeView.expandedItems():</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            e.setCheckState(Qt.Unchecked)</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160; </div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="comment">#        Met à jour l&#39;icône du bouton d&#39;activation dans l&#39;application parente</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="comment">#        pour refléter la présence d&#39;éléments dans la liste</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">  136</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">updateParentIcon</a>(self):</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordflow">if</span> self.parent():</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            self.parent().setAvailableNames(self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.count() &gt; 0)</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160; </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    </div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#aa9cb426e7398dfd83687f5dd187401c1">  144</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#aa9cb426e7398dfd83687f5dd187401c1">addToList</a>(self):</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <span class="keywordflow">for</span> n <span class="keywordflow">in</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac8df284469620ca5985974356d7f2ca7">listeUnique_Names</a>():</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            <span class="keywordflow">if</span> <span class="keywordflow">not</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.findItems(n,Qt.MatchExactly):</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;                self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.addItem(n)</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">updateParentIcon</a>()</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160; </div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    </div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div>
<div class="line"><a name="l00154"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a10a62d001217ff2e92422951c0c6e1be">  154</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a10a62d001217ff2e92422951c0c6e1be">delInList</a>(self):</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        rows=[]</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        <span class="keywordflow">for</span> i <span class="keywordflow">in</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.selectedIndexes():</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            rows.append(i.row())</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;        rows.sort(reverse=<span class="keyword">True</span>)</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        <span class="keywordflow">for</span> r <span class="keywordflow">in</span> rows:</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.takeItem(r)</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">updateParentIcon</a>()</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160; </div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="comment">#        renvoie et supprime le premier élément de la liste de noms;</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <span class="comment">#        si cette liste est vide, renvoie None</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    <span class="comment">#        @return un nom pour un baladeur, sinon None</span></div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160; </div>
<div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af4e909de8df7ff6e9d46ff077b1b95b7">  169</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af4e909de8df7ff6e9d46ff077b1b95b7">pop</a>(self):</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;        <span class="keywordflow">if</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.count() == 0:</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;            <span class="keywordflow">return</span></div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        i=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.takeItem(0)</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">updateParentIcon</a>()</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;        data=i.data(Qt.DisplayRole)</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        <span class="keywordflow">return</span> data</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160; </div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    </div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00180"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae8c80635f27fa40df1e1551e3106478c">  180</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae8c80635f27fa40df1e1551e3106478c">itemStrings</a>(self):</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        itemList=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.findItems(<span class="stringliteral">&quot;*&quot;</span>,Qt.MatchWrap | Qt.MatchWildcard)</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        l=[i.data(Qt.DisplayRole) <span class="keywordflow">for</span> i <span class="keywordflow">in</span> itemList]</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        l.sort()</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;        <span class="keywordflow">return</span> l</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160; </div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    </div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160; </div>
<div class="line"><a name="l00191"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a9ecf774ecdbf02aa9f8c24ea33846392">  191</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a9ecf774ecdbf02aa9f8c24ea33846392">takeItem</a>(self, item):</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        found=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.findItems(item,Qt.MatchExactly)</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;        <span class="keywordflow">if</span> len(found) &gt; 0:</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;            r=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.row(found[0])</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            i=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.takeItem(r)</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">updateParentIcon</a>()</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            data=i.data(Qt.DisplayRole)</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;            <span class="keywordflow">return</span> data</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160; </div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac324440924f5bca476968946ad586fb0">  204</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac324440924f5bca476968946ad586fb0">valid</a>(self):</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ad8934f69b8e13b67e67d83cc2fae097f">ok</a>=<span class="keyword">True</span></div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        self.close()</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="comment">#        Prend acte de l&#39;abandon ; supprime les éléments de la liste et</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="comment">#        ferme le dialogue</span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160; </div>
<div class="line"><a name="l00213"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4d2095140e0c53ea6cecdfa8eb457422">  213</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4d2095140e0c53ea6cecdfa8eb457422">escape</a>(self):</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;        <span class="keywordflow">while</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.count() &gt; 0:</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;            self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.listWidget.takeItem(0)</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">updateParentIcon</a>()</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;        self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ad8934f69b8e13b67e67d83cc2fae097f">ok</a>=<span class="keyword">False</span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;        self.close()</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;        <span class="keywordflow">return</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160; </div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    </div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160; </div>
<div class="line"><a name="l00224"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4e1e2d4b2bf2ffae629a8c8c71b5fae1">  224</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4e1e2d4b2bf2ffae629a8c8c71b5fae1">listeChoix</a>(self):</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        <span class="keywordflow">return</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.treeView.checkedItems()</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160; </div>
<div class="line"><a name="l00227"></a><span class="lineno"><a class="line" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac8df284469620ca5985974356d7f2ca7">  227</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac8df284469620ca5985974356d7f2ca7">listeUnique_Names</a>(self):</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        result=[]</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        <span class="keywordflow">for</span> e <span class="keywordflow">in</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4e1e2d4b2bf2ffae629a8c8c71b5fae1">listeChoix</a>():</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;            prefixe=<span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;            <span class="keywordflow">if</span> self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.checkBoxNumero.isChecked():</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;                n=self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.spinBoxNumero.value()</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;                prefixe=<span class="stringliteral">&quot;%02d-&quot;</span> %n</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;                self.<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">ui</a>.spinBoxNumero.setValue(n+1)</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;            result.append(prefixe+e.unique_name)</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;        <span class="keywordflow">return</span> result</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160; </div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;<span class="keywordflow">if</span> __name__==<span class="stringliteral">&quot;__main__&quot;</span>:</div>
<div class="line"><a name="l00239"></a><span class="lineno"><a class="line" href="namespacesrc_1_1choixEleves.html#ab48d3a8731595187e8ab953c4adfc5d8">  239</a></span>&#160;    app=QApplication(sys.argv)</div>
<div class="line"><a name="l00240"></a><span class="lineno"><a class="line" href="namespacesrc_1_1choixEleves.html#acd18fec06e6eb5b54af354db8217a139">  240</a></span>&#160;    d=<a class="code" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html">choixElevesDialog</a>(gestionnaire=<a class="code" href="classsrc_1_1gestClasse_1_1Sconet.html">gestClasse.Sconet</a>)</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    d.exec_()</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <span class="keywordflow">print</span> (<span class="stringliteral">&quot;dialogue ok = %s&quot;</span> %d.ok)</div>
<div class="line"><a name="l00243"></a><span class="lineno"><a class="line" href="namespacesrc_1_1choixEleves.html#ac79a37121416e3db39346206b67f7e53">  243</a></span>&#160;    i=d.pop()</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    <span class="keywordflow">while</span> i:</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        <span class="keywordflow">print</span> (<span class="stringliteral">&quot;on a dépilé %s&quot;</span> %i)</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;        i=d.pop()</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a7e69e147d396686ac6435a44e567168d"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7e69e147d396686ac6435a44e567168d">src.choixEleves.choixElevesDialog.__init__</a></div><div class="ttdeci">def __init__(self, parent=None, gestionnaire=gestClasse.Sconet)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00046">choixEleves.py:46</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_ac324440924f5bca476968946ad586fb0"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac324440924f5bca476968946ad586fb0">src.choixEleves.choixElevesDialog.valid</a></div><div class="ttdeci">def valid(self)</div><div class="ttdoc">Prend acte de la validation.</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00204">choixEleves.py:204</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a22bf6436ed0613d101e4be7cc4521d64"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a22bf6436ed0613d101e4be7cc4521d64">src.choixEleves.choixElevesDialog.fichierEleves</a></div><div class="ttdeci">def fichierEleves(self)</div><div class="ttdoc">choisit et ouvre un nouveau fichiers d'élèves</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00072">choixEleves.py:72</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a4e1e2d4b2bf2ffae629a8c8c71b5fae1"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4e1e2d4b2bf2ffae629a8c8c71b5fae1">src.choixEleves.choixElevesDialog.listeChoix</a></div><div class="ttdeci">def listeChoix(self)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00224">choixEleves.py:224</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_af5e472af56dfdf3121904ede753cfa35"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af5e472af56dfdf3121904ede753cfa35">src.choixEleves.choixElevesDialog.prefs</a></div><div class="ttdeci">prefs</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00051">choixEleves.py:51</a></div></div>
<div class="ttc" id="aclassQDialog_html"><div class="ttname"><a href="classQDialog.html">QDialog</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a46651080fd437cc6268d03ab810d892d"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a46651080fd437cc6268d03ab810d892d">src.choixEleves.choixElevesDialog.coche</a></div><div class="ttdeci">def coche(self)</div><div class="ttdoc">coche toutes les cases d'élèves visibles</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00119">choixEleves.py:119</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_ae92358c69ab04edd55f00ad092d6cd58"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae92358c69ab04edd55f00ad092d6cd58">src.choixEleves.choixElevesDialog.gestionnaire</a></div><div class="ttdeci">gestionnaire</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00052">choixEleves.py:52</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_af4e909de8df7ff6e9d46ff077b1b95b7"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#af4e909de8df7ff6e9d46ff077b1b95b7">src.choixEleves.choixElevesDialog.pop</a></div><div class="ttdeci">def pop(self)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00169">choixEleves.py:169</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_ad8934f69b8e13b67e67d83cc2fae097f"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ad8934f69b8e13b67e67d83cc2fae097f">src.choixEleves.choixElevesDialog.ok</a></div><div class="ttdeci">ok</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00048">choixEleves.py:48</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a9ecf774ecdbf02aa9f8c24ea33846392"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a9ecf774ecdbf02aa9f8c24ea33846392">src.choixEleves.choixElevesDialog.takeItem</a></div><div class="ttdeci">def takeItem(self, item)</div><div class="ttdoc">retire un item de la liste et le renvoie (pourvu qu'il y existe)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00191">choixEleves.py:191</a></div></div>
<div class="ttc" id="aclasssrc_1_1gestClasse_1_1Sconet_html"><div class="ttname"><a href="classsrc_1_1gestClasse_1_1Sconet.html">src.gestClasse.Sconet</a></div><div class="ttdoc">Une classe pour travailler avec des données Sconet.</div><div class="ttdef"><b>Definition:</b> <a href="gestClasse_8py_source.html#l00072">gestClasse.py:72</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a721b1062becfd5a75dea277e7afd8951"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a721b1062becfd5a75dea277e7afd8951">src.choixEleves.choixElevesDialog.ui</a></div><div class="ttdeci">ui</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00049">choixEleves.py:49</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a4d2095140e0c53ea6cecdfa8eb457422"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a4d2095140e0c53ea6cecdfa8eb457422">src.choixEleves.choixElevesDialog.escape</a></div><div class="ttdeci">def escape(self)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00213">choixEleves.py:213</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_ac8df284469620ca5985974356d7f2ca7"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ac8df284469620ca5985974356d7f2ca7">src.choixEleves.choixElevesDialog.listeUnique_Names</a></div><div class="ttdeci">def listeUnique_Names(self)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00227">choixEleves.py:227</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html">src.choixEleves.choixElevesDialog</a></div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00038">choixEleves.py:38</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a3fb9c4f0367ea0d3009b798a9449ee49"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a3fb9c4f0367ea0d3009b798a9449ee49">src.choixEleves.choixElevesDialog.updateParentIcon</a></div><div class="ttdeci">def updateParentIcon(self)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00136">choixEleves.py:136</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_aa9cb426e7398dfd83687f5dd187401c1"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#aa9cb426e7398dfd83687f5dd187401c1">src.choixEleves.choixElevesDialog.addToList</a></div><div class="ttdeci">def addToList(self)</div><div class="ttdoc">ajoute les élèves cochés dans la liste (s'ils n'y sont pas déjà)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00144">choixEleves.py:144</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a60aeafa97ef2ff421e282bcfc5b1f8ba"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a60aeafa97ef2ff421e282bcfc5b1f8ba">src.choixEleves.choixElevesDialog.checkNum</a></div><div class="ttdeci">def checkNum(self, state)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00102">choixEleves.py:102</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtCore_html"><div class="ttname"><a href="namespacePyQt5_1_1QtCore.html">QtCore</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a5d23e13198af052d67307e925060d678"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a5d23e13198af052d67307e925060d678">src.choixEleves.choixElevesDialog.decoche</a></div><div class="ttdeci">def decoche(self)</div><div class="ttdoc">décoche toutes les cases d'élèves, visibles ou cachées</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00127">choixEleves.py:127</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtWidgets_html"><div class="ttname"><a href="namespacePyQt5_1_1QtWidgets.html">QtWidgets</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_ae8c80635f27fa40df1e1551e3106478c"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#ae8c80635f27fa40df1e1551e3106478c">src.choixEleves.choixElevesDialog.itemStrings</a></div><div class="ttdeci">def itemStrings(self)</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00180">choixEleves.py:180</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a10a62d001217ff2e92422951c0c6e1be"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a10a62d001217ff2e92422951c0c6e1be">src.choixEleves.choixElevesDialog.delInList</a></div><div class="ttdeci">def delInList(self)</div><div class="ttdoc">retire les élèves de la liste quand ils y sont sélectionnés</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00154">choixEleves.py:154</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a327a434628cb87c4f6d6e75759972018"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a327a434628cb87c4f6d6e75759972018">src.choixEleves.choixElevesDialog.connecteGestionnaire</a></div><div class="ttdeci">def connecteGestionnaire(self, renew=False)</div><div class="ttdoc">met en place l'arbre des noms d'élèves</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00086">choixEleves.py:86</a></div></div>
<div class="ttc" id="aclasssrc_1_1choixEleves_1_1choixElevesDialog_html_a7323d8859b8ff8e9bb3dc1ff5f0445bf"><div class="ttname"><a href="classsrc_1_1choixEleves_1_1choixElevesDialog.html#a7323d8859b8ff8e9bb3dc1ff5f0445bf">src.choixEleves.choixElevesDialog.replie</a></div><div class="ttdeci">def replie(self)</div><div class="ttdoc">replie toutes les classes du dialogue</div><div class="ttdef"><b>Definition:</b> <a href="choixEleves_8py_source.html#l00112">choixEleves.py:112</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="choixEleves_8py.html">choixEleves.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
